Bug 191793 - [PATCH] i386: Move phys_proc_id/early intel workaround to correct function
[PATCH] i386: Move phys_proc_id/early intel workaround to correct function
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Villalovos
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 16:33 EDT by Jason Baron
Modified: 2015-05-08 09:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 15:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
intel_early_workaround() moved to generic_identify() as early_detect_cpus() only run at BP. (574 bytes, patch)
2006-05-15 16:50 EDT, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Jason Baron 2006-05-15 16:33:24 EDT
Description of problem:

please see:


http://kernel.org/git/?p=linux/kernel/git/stable/linux-2.6.15.y.git;a=commitdiff;h=bcf2887b1416a506e3461c504642a1b7fad52ddc
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bhavna Sarathy 2006-05-15 16:50:39 EDT
Created attachment 129118 [details]
intel_early_workaround() moved to generic_identify() as early_detect_cpus() only run at BP.

Geoff, please test this patch, please.	 I can submit it to rhkernel-list soon
after.
Comment 2 Geoff Gustafson 2006-05-17 16:16:52 EDT
I sanity-checked on one box. Oddly generic_identify gets run twice on each proc,
but same upstream. Looks fine.
Comment 3 Geoff Gustafson 2008-02-05 14:46:40 EST
We've made it this far without anyone tearing their hair out, I'm tempted to
think this couldn't possibly matter. But I'll check with the mothership before
giving up on it.
Comment 4 Geoff Gustafson 2008-02-06 12:19:03 EST
Suresh pointed out, and I confirmed in the latest EL4 source, that the
x86_cache_alignment field this function sets is only ever read with the macro
cache_line_size() which reads it from the boot cpu. So the patch isn't really
needed.

The one exception to this is reporting to /proc/cpuinfo, so on some machine I
guess it will show 128 for boot cpu and incorrectly show 64 for others. But I'm
not sure that makes it worth posting.
Comment 5 John Villalovos 2009-04-24 15:45:27 EDT
From Comment 4, it doesn't seem like this is a bug.  Or at least not worth posting a patch.

Please re-open if disagree.

Note You need to log in before you can comment on or make changes to this bug.